Change the CPU type for a virtual server

Change the CPU type for a specific virtual server (VPS). This can be useful for optimizing performance or compatibility.

VPS & Cloud VM

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
cpuType string required · Example: host

Responses

200
data object required
data.cpuType string required · Example: host
data.message string required · Example: CPU type updated to host

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

PUT https://cloud.hostup.se/api/vm/{vmid}/cpu-type
For AI assistants
cURL
curl -X PUT "https://cloud.hostup.se/api/vm/10000/cpu-type" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "cpuType": "host"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "cpuType": "host",
    "message": "CPU type updated to host"
  }
}
Request Body Example 1
{
  "cpuType": "host"
}